Roundup Tracker - Issues

Issue 2550749

classification
Title: xmlrpc interface in cgi is invoked on content type and not url path
Type: behavior Severity: normal
Components: Web interface Versions: 1.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rouilj Nosy List: rouilj
Priority: normal Keywords: Effort-Low, patch

Created on 2012-03-11 01:18 by rouilj, last changed 2013-01-11 04:04 by rouilj.

Files
File name Uploaded Description Edit Remove
xmlrpc_invocation.patch rouilj, 2012-03-11 01:18 Patch to invoke the xmlrpc interface at the xmlrpc path.
xmlrpc.txt.patch rouilj, 2012-03-11 01:39 doc patch to accompany the source patch.
Messages
msg4515 Author: [hidden] (rouilj) Date: 2012-03-11 01:18
The xmlrpc interface is currently invoked if the content type
is text/xml. That is insufficient however if we want to allow
other mechanisms (e.g. REST in issue 2550734) which may also
consume xml format data (in addition to json ...).

Every other rpc interface I am familiar with has a single
known url path by which it is invoked.

I suggest applying the attached patch to cgi/client.py to
put the xmlrpc interface at the xmlrpc path under the tracker.

E.G. to use the xmlrpc interface with the demo tracker:

>>> import xmlrpclib
>>> roundup_server =
xmlrpclib.ServerProxy('http://admin:admin@localhost:8917/demo/xmlrpc',
allow_none=True)

and then any of the xmlrpc interface commands can be used.
msg4516 Author: [hidden] (rouilj) Date: 2012-03-11 01:39
I am also adding documentation for the xmlrpc.txt file
that describes accessing the interface via the roundup
HTTP server with this patch applied.
msg4639 Author: [hidden] (rouilj) Date: 2012-09-05 18:16
When this goes out, the upgrading.txt file should include the following:

==========
If you are using the xml-rpc interface, there is a change
in accessing it. You can not send text/xml data to any
roundup url and get a response, you must use the /xmlrpc
url. For example, if you used to send your xmlrpc request to:

   http://myroundup.com/roundup

you need to change the url to read:

   http://myroundup.com/roundup/xmlrpc

to invoke the xmlrpc handler. This allows us to send xml
data to roundup for other handlers (e.g. REST, SOAP ...)
in the future.
msg4684 Author: [hidden] (rouilj) Date: 2012-11-25 23:27
Commited the patches to hg. Also updated Changes.txt and updating.txt.
msg4747 Author: [hidden] (rouilj) Date: 2013-01-11 04:04
Patch applied and release done. Closing.
History
Date User Action Args
2013-01-11 04:04:10rouiljsetstatus: open -> closed
messages: + msg4747
2012-11-25 23:27:10rouiljsetstatus: new -> open
assignee: rouilj
resolution: fixed
messages: + msg4684
2012-09-06 14:57:23rouiljsetkeywords: + Effort-Low
2012-09-05 18:16:58rouiljsetmessages: + msg4639
2012-09-05 14:25:59rouiljsetpriority: normal
2012-09-05 14:17:37rouiljlinkissue2550734 dependencies
2012-03-11 01:39:43rouiljsetfiles: + xmlrpc.txt.patch
messages: + msg4516
2012-03-11 01:18:54rouiljcreate